/// @addtogroup auxil
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file clock.h
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _CLOCK_H_
#define _CLOCK_H_
#include "capd/operatingSystemSetting.h"
  #if defined (LINUX) || defined (SUN_OS)
  // ************************************************ //
      #define _Clock_h_
      #include <sys/time.h>
      #include <sys/times.h>

      static struct tms buffer;

      inline double Clock()
      /* Function Clock returns process time in seconds as a double */
      {
       times(&buffer);
       return ((double)(buffer.tms_utime+buffer.tms_stime) /60.0);
      }
  // ************************************************ //
  #else
  // ************************************************ //
    #include <windows.h>
    #include <conio.h>
    #include <dos.h>

    static long int tick=0,last_tick=0;

    inline long tickClock()
    {
     long new_tick;

     new_tick=clock();
     tick+=new_tick-last_tick;
     last_tick=new_tick;
     return tick;
    }

    // ************************************************ //

    inline double Clock()
    /* Function iClock returns process time in seconds as a double */
    {
    // return (double)tickClock()/CLK_TCK;
     return (double)clock()/CLK_TCK;
    }

  // ************************************************ //
  #endif

#endif //_CLOCK_H_


/// @}

