/// @addtogroup interval
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file intel.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#define ROUND_MASK   NOT 0C00h         // Maska zerujaca bit trybu zaokraglania
#define ROUND_NEAREST     0            // Warotsc bitu zaokraglenia 'w dol'
#define ROUND_DOWN        1 SHL 10     // Warotsc bitu zaokraglenia 'w dol'
#define ROUND_UP          2 SHL 10     // Wartosc bitu zaokraglenia 'w gore'


inline void dec_double(volatile double * f)
{
#if defined (DEBUGGING) && defined (KRAK)
	const double g=*f;
#endif
	if(*f > 0)
	{
		if ( (*((volatile long *)f))-- == 0) --(*((volatile long *)f+1));
	}else if(*f < 0)
	{
		if ( ++(*((volatile long *)f)) == 0) ++(*((volatile long *)f+1));
	}else
	{
		*((volatile long *)f) = 0x00000001;
		*((volatile long *)f+1)   = 0x80000000;
	}

#ifdef DEBUGGING
#ifdef KRAK
	if(*f>=g)
	{
		errorExit("Error in dec_double:\n %s transferred to:\n %s", 
			double2hex(g).string(),double2hex(*f).string());
	}
#endif
#endif
}

void round_nearest(void);
void round_up(void);
void round_down(void);
void round_cut(void);

void set_intel_im(void);
void clear_intel_im(void);

/// @}
