/// @addtogroup interval
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file rounding.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _ROUNDING_H_
#define _ROUNDING_H_

#include "interval/intervalSetting.h"

#define ROUNDING_MODE_NEAREST 0
#define ROUNDING_MODE_DOWN    1
#define ROUNDING_MODE_UP      2
#define ROUNDING_MODE_CUT     3

#if defined(SUN_OS)
#  include "interval/sparc.h"
#else
#  include "interval/intel.h"
#endif

int rounding_test(void);
void init_fpunit(void);

#endif

/// @}
