/// @addtogroup interval
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file sparc.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#include <ieeefp.h>

inline void round_nearest(void){
  fpsetround(FP_RN);
}
inline void round_up(void){
  fpsetround(FP_RP);
}
inline void round_down(void){
  fpsetround(FP_RM);
}
inline void round_cut(void){
  fpsetround(FP_RZ);
}
inline void dec_double(double *f){
  if(*f > 0){
    if ( (*((long *)f+1))-- == 0) --(*((long *)f));
  }else{
    if(*f < 0){
      if ( ++(*((long *)f+1)) == 0) ++(*((long *)f));
    }else{
      *((long *)f+1) = 0x00000001;
      *((long *)f)   = 0x80000000;
    };
  };
}

/// @}
