/// @addtogroup krak
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file kernel.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _kernel_h_
#define _kernel_h_
#include "krak/hardware.h"
#include "krak/color.h"
#include "krak/pattern.h"
#include "krak/keys.h"
#include "capd/myc.h"

/* structure definitions */

namespace capd{
namespace krak{
struct Rct
{
   int ltj,lti,rbj,rbi;
};

struct Pxl
{
   int j,i;
};
}} // the end of the namespace capd::krak

/* hardware dependant primitives */

namespace capd{
namespace krak{

   void OpenGraphics(int hrs,int vrs,int bgcol,int fgcol,int ltx, int lty);
   void CloseGraphics(void);
#if !defined(IBM_CH) && !defined(VIRT_MON) && !defined(SUN_CH)
   void SetBgCol(int col);
   void SetFgCol(int col);
#endif
   void MWLineTo(int i,int j);
   void MoveTo(int i,int j);
   void PlotDot(int i,int j);
   void Crcl(int i,int j,int r);
   void DrawStrng(char *txt);
   void FillRct(capd::krak::Rct *r,int pattNr,int colNr);
#if defined (WIN95) || defined (WXWIN)
   void FillChord(int ltj, int lti, int rbj, int rbi,
      int bj, int bi, int ej, int ei, int pattNr, int colNr);
   void Arc(int ltj, int lti, int rbj, int rbi, int bj, int bi, int ej, int ei, int colNr);
   void FillRgn(int *r, int lPoints, int pattNr, int colNr);
#endif
   void GetMouse(capd::krak::Pxl *pxl);
   int Button(void);
   double Clock(void);
   long tickClock(void);
   double RClock(void);
   double tck2sec(long);
   void Beep(int freq,int time);
   char *datetime(void);
   int GetKey(void);

#if defined (WIN95) || defined (WXWIN)
   void SetTextSize(int);
   int GetTextSize(void);
#endif
}}
#endif

/// @}
