/// @addtogroup bitSet
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file EuclBitSet_UL_lowDim.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Marian Mrozek 2005-2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.


#include "bitSet/BitmapT.h"
#include "bitSet/BitSetT.h"
#include "bitSet/EuclBitSetT.hpp"
#include "bitSet/selector.h"

typedef unsigned long int cluster;
typedef BitSetT<BitmapT<cluster> > BitSet;

typedef EuclBitSetT<BitSet,2> EuclBitSetD2;
typedef EuclBitSetT<BitSet,3> EuclBitSetD3;
typedef EuclBitSetT<BitSet,4> EuclBitSetD4;

template class EuclBitSetT<BitSet,2>;
template class EuclBitSetT<BitSet,3>;
template class EuclBitSetT<BitSet,4>;

template std::istream& operator>> <BitSet,2>(std::istream& in,EuclBitSetD2&);
template std::istream& operator>> <BitSet,3>(std::istream& in,EuclBitSetD3&);
template std::istream& operator>> <BitSet,4>(std::istream& in,EuclBitSetD4&);

template EuclBitSetT<BitSet,2>& EuclBitSetT<BitSet,2>::add<HiperSurfSelector>(const HiperSurfSelector&,bool);
template EuclBitSetT<BitSet,3>& EuclBitSetT<BitSet,3>::add<HiperSurfSelector>(const HiperSurfSelector&,bool);
template EuclBitSetT<BitSet,4>& EuclBitSetT<BitSet,4>::add<HiperSurfSelector>(const HiperSurfSelector&,bool);
