/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file intvector.cpp
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#include <iostream>
#include "vectalg/vector.h"
#include "vectalg/dimension.h"

template class Vector<int,DIM>;

template Vector<int,DIM> abs<int,DIM> (const Vector<int,DIM> &v);
template Vector<int,DIM> operator- <int,DIM> (const Vector<int,DIM> &v);
template Vector<int,DIM> operator+ <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template Vector<int,DIM> operator- <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template int operator* <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template Vector<int,DIM> operator* <int,int,DIM> (const Vector<int,DIM> &v,const int &s);
template Vector<int,DIM> operator* <int,int,DIM> (const int &s,const Vector<int,DIM> &v);
template Vector<int,DIM> operator/ <int,int,DIM> (const Vector<int,DIM> &v, const int &s);
template Vector<int,DIM> operator+ <int,DIM> (const Vector<int,DIM> &v,const int &s);
template Vector<int,DIM> operator- <int,DIM> (const Vector<int,DIM> &v,const int &s);
template bool operator < <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template bool operator > <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template bool operator<= <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template bool operator>= <int,DIM> (const Vector<int,DIM> &v1,const Vector<int,DIM> &v2);
template std::ostream &operator<< <int,DIM> (std::ostream &out, const Vector<int,DIM> &v);
template std::istream &operator>> <int,DIM>(std::istream &inp, Vector<int,DIM> &v);


/// @}
